All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
asIBinaryStream Class Referenceabstract

A binary stream interface. More...

## Public Member Functions

virtual int | Read (void *ptr, asUINT size)=0
| Read size bytes from the stream into the memory pointed to by ptr. More...
virtual int | Write (const void *ptr, asUINT size)=0
| Write size bytes to the stream from the memory pointed to by ptr. More...

## Detailed Description

This interface is used when storing compiled bytecode to disk or memory, and then loading it into the engine again.

See Also
  asIScriptModule::SaveByteCode, asIScriptModule::LoadByteCode

## Member Function Documentation

virtual int asIBinaryStream::Read | ( | void * | ptr,
|  | asUINT | size
| ) |  |

pure virtual

Parameters

  [out] | ptr | A pointer to the buffer that will receive the data.
  [in] | size | The number of bytes to read.

Returns
  A negative value on error.

Read size bytes from the data stream into the memory pointed to by ptr.

virtual int asIBinaryStream::Write | ( | const void * | ptr,
|  | asUINT | size
| ) |  |

pure virtual

Parameters

  [in] | ptr | A pointer to the buffer that the data should written from.
  [in] | size | The number of bytes to write.

Returns
  A negative value on error.

Write size bytes to the data stream from the memory pointed to by ptr.

The documentation for this class was generated from the following file:

- angelscript.h